<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];

$id_bodega = $_POST["id_bodega"];	
      if ($id_bodega =='') $id_bodega =$id_empresa;
$id_zona = $_POST["lstzona"];	
      if ($id_zona =='') $id_zona =1;
$id_vendedor = $_POST["lstvendedor"];
      if ($id_vendedor =='') $id_vendedor =1;
$id_tipo_dcto = $_POST["lstdcto"];	 

$id_tipo_pago = $_POST["lstpago"];
         if ($id_tipo_pago =='') $id_tipo_pago =1;
$sucursal = $_POST["txtsucursal"];
         if ($sucursal =='') $sucursal ="PRINCIPAL";
$rut_suc = $_POST["txtrut"];
 $txtorden =$_POST["txtorden"];
 if ($txtorden =='') $txtorden =0;
?>
<?
include("../conex.php");

function quitarEspecialesXML($sCad)
      {
         $sCad=str_replace("&","&amp;",$sCad);
         $sCad=str_replace("<","&lt;",$sCad);
         $sCad=str_replace(">","&gt;",$sCad);
         $sCad=str_replace('"',"&#34;",$sCad);
         $sCad=str_replace("'","&#39;",$sCad);
         return $sCad;
      }
	
function subirArchivo($nombreArchivo,$ip_empresa,$emp,$sitio_empresa)
    {
	$handle = curl_init();
	curl_setopt($handle, CURLOPT_POST, true);
	//curl_setopt($handle, CURLOPT_POSTFIELDS, array('file' => '@'.$nombreArchivo));
	
	//curl_setopt($handle, CURLOPT_URL, 'http://'.$ip_empresa.'/'.$sitio_empresa.'/LibFE/firmarDTE/FirmaEmpaquetaEnviaPdfCorreo.php?documento='.$nombreArchivo);
curl_setopt($handle, CURLOPT_URL, 'http://'.$ip_empresa.'/'.$sitio_empresa.'/LibFE/firmarDTE/FirmaEmpaquetaEnviaPdfCorreo.php?documento='.$nombreArchivo);
	curl_exec($handle);
	curl_close($handle);
    }
/********************************** Datos Empresa ****************** seleccionar cual empresa  es el ingreso  en ssesion******/
	$sql_empresa = "SELECT * FROM empresa, comunas WHERE comunas.cod_comuna = empresa.comuna and id=$id_empresa;";
	$res_empresa = mysql_query($sql_empresa,$enlace);
	$row=0;
	
		$empresa_rut=mysql_result($res_empresa, $row, "rut_empresa");
		$empresa_rut = str_replace('.', '', $empresa_rut);
		$empresa_nombre=mysql_result($res_empresa, $row, "nombre");
		$empresa_direccion=mysql_result($res_empresa, $row, "direccion");
		$empresa_ciudad=mysql_result($res_empresa, $row, "ciudad");
		$empresa_comuna=mysql_result($res_empresa, $row, "comunas.comuna");
		$empresa_actividad=mysql_result($res_empresa, $row, "actividad");
		$empresa_acteco=mysql_result($res_empresa, $row, "acteco");
		$empresa_rut_representante=mysql_result($res_empresa, $row, "rut_representante");
		$empresa_nombre_representante=mysql_result($res_empresa, $row, "nombre_representante");
		$sitio_empresa=mysql_result($res_empresa, $row, "sitio_empresa");
        $ip_empresa=mysql_result($res_empresa, $row, "ip_empresa");
		$certificacion=mysql_result($res_empresa, $row, "certificacion");

/**************** Datos Clientes ***********************************************************/
$sql_bsuc="SELECT * FROM sucursales WHERE sucursal='$sucursal' AND rut = '$rut_suc'";


$res_bsuc = mysql_query($sql_bsuc,$enlace);
$rowsuc=0;
while (mysql_fetch_object ($res_bsuc))
		{
		$id_sucursal=mysql_result($res_bsuc, $rowsuc, "Id");
		$rowsuc+=1;
		}
		
if ($rowsuc==0)   // no exite cliente  se debe crear
		{
// crear cliente   condicion contado credito=0		
    
		$sql_inc = "INSERT INTO nombres 
		       (rut, razon_social, direccion, region, comuna, ciudad, cliente, proveedor, rubro_giro)
		VALUES ('$txtrut', '$txtrsoc', '$txtdireccion', $lstreg, $lstcom, '$txtciudad', 'True', 'True', '$txtactividad')";
		mysql_query($sql_inc,$enlace);
        
        $sql_ins = "INSERT INTO sucursales
		       (sucursal, rut, razon_social, direccion, region, comuna, ciudad, rubro_giro)
		VALUES ('$txtsucursal', '$rut_suc', '$txtrsoc', '$txtdireccion', $lstreg, $lstcom, '$txtciudad', '$txtactividad')";
		mysql_query($sql_ins,$enlace);

$sql_bsuc="SELECT * FROM sucursales WHERE sucursal='$sucursal' AND rut = '$rut_suc'";
	$id_sucursal=mysql_result($res_bsuc, 0, "Id");
		}

//***************  fin datos cliente *****************************

// ***********  comprueba grabacion ***************
		$sql_num_bol = $_POST["txtndcto"];
		
		$sql_comprueba = "SELECT * FROM salida WHERE empresa = $id_empresa AND tipo_dcto = $id_tipo_dcto AND num_dcto = $sql_num_bol";	
//echo $sql_comprueba;
		$res_comprueba = mysql_query($sql_comprueba,$enlace);	
		$row_comprueba=0;
		while (mysql_fetch_object ($res_comprueba))
			{
			$row_comprueba=1;
			}


if ($row_comprueba==0)
	{
		$cant = 1;
		$flag=0;
		$fecha=$txtfecha;
	    $txtivar=0;
			
				
//*************  Descuento en pesos ********************************************/
			
			$txtsubtotal = $_POST["txtst"];
			$cal_descuento = $_POST["txtdes"];
			$por_des = $_POST["txtpor"];
			if ($por_des=='') $por_des=0;
//***********  Total de productos ***********************************************/
			
			$cant = "1";
			$ctot_prod=0;
			while ($cant<=$cnt)
				{
				if ($total[$cant]>0)
					{
					$ctot_prod+=1;
					}
				$cant=$cant+1;
				}
				
//********************// valida numero de SII   en tope	 *********/
	$sql_ultima_bol = "SELECT correlativo, tope FROM tipo_dcto_num_bodega  WHERE id_dcto='$id_tipo_dcto' AND id_empresa=$id_empresa";
	$res_ultima_bol = mysql_query($sql_ultima_bol,$enlace);

	if(mysql_fetch_object($res_ultima_bol))	
	   
		$num_tope = mysql_result($res_ultima_bol,0 ,"tope");
			
	       if ($sql_num_bol>$num_tope) 
		   {
		   ?>
	<script language="javascript">
	alert("Solicitar folio en SII para Documentos");
	window.top.open('','_parent','');window.top.close(); 
	</script>
	     <?
		 exit();
           }
				
//********************* actualiza numero factura ************************	

$up_dcto = "UPDATE tipo_dcto_num_bodega SET correlativo = $sql_num_bol WHERE id_dcto = '$id_tipo_dcto'  AND id_bodega=1 AND id_empresa = $id_empresa";
	$res_up_dcto = mysql_query($up_dcto,$enlace);	
		
//****************************** insertar salida *******************************************/
            $hora = date('H:i:s'); 	
			$dia = substr ($fecha, 0, 2);
			$mes = substr ($fecha, 3, 2);
			$aņo = substr ($fecha, 6, 4); 
			$fecha_em = "$aņo-$mes-$dia";
			$dia = substr ($fecha2, 0, 2);
			$mes = substr ($fecha2, 3, 2);
			$aņo = substr ($fecha2, 6, 4); 
			$fecha_ven = "$aņo-$mes-$dia";	
			$factor=1;
			if ($id_tipo_dcto==6 || $id_tipo_dcto==61)  {$factor=-1;}
		
			if ($certificacion=='SI') {$tiporef="SET"; $folioref=$txtndcto; $fecharef=$fecha; } 

$observacion = $txtobserva."1 TipoDcto:".$tiporef ."NumDcto:".$folioref."Fecha:".$fecharef."CodRef (1-2-3):".$codref."RazonRef:". $razonref;

  if ($tiporef2!='')
  { 
	 $observacion= $observacion ."2.- TipoDcto:".$tiporef2 ."NumDcto:".$folioref2."Fecha:".$fecharef2."CodRef (1-2-3):".$codref2."RazonRef:".$razonref2;

	}
			
			
			
			$wsql = "INSERT INTO salida (empresa, rut_cliente, num_dcto, tipo_dcto, fecha_emision, fecha_vencimiento, tipo_pago, descuento, exento, neto, iva, total, productos, iva_retenido, usuario, bodega, vendedor, zona, id_sucursal, orden_compra, hora, observacion, factor, por_descuento, cod_despacho, cod_traslado) 
			VALUES ($id_empresa, '$txtrut', $sql_num_bol, $id_tipo_dcto, '$fecha_em', '$fecha_ven', $id_tipo_pago, $txtdes, $txtexento, $txtneto,$txtiva, $txttotal, 1, $txtivar, $id_user, $id_bodega, $id_vendedor, $id_zona, $id_sucursal, $txtorden, '$hora', '$observacion', $factor, $por_des, $cod_despacho, $cod_traslado)";
//echo $wsql;
			$consulta = mysql_query($wsql,$enlace);
			
  //++++++++++++++++++++++++++++ Sacar el ultimo
			
			$sql_ultimo = "SELECT id FROM salida WHERE id=last_insert_id()";
			$res_ultimo =  mysql_query($sql_ultimo, $enlace);		
			$sultimo_id = mysql_result($res_ultimo, 0, "id");
			
			if ($id_tipo_pago==3)        //  CREDITO
			{
			$tipo_documento='Otros';
			if($id_tipo_dcto==33) $tipo_documento='FE';
			if($id_tipo_dcto==61) $tipo_documento='NC E';
			if($id_tipo_dcto==52) $tipo_documento='GE';
			if($id_tipo_dcto==56) $tipo_documento='ND E';
			if($id_tipo_dcto==34) $tipo_documento='FEex';
			
			$des = $tipo_documento.' '.$sql_num_bol;
			$csql="INSERT INTO pago_cliente (empresa, rut, num_salida, fecha, descripcion, valor, tipo, usuario, sucursal) 
			VALUES ($id_empresa, '$txtrut', $sultimo_id, '$fecha_em', '$des', $txttotal*$factor, 'C', $id_user, $id_sucursal)";
			//echo $csql;
			$con = mysql_query($csql,$enlace);
			}
			
// ************** movmiento productos ********************
		
		$cant = "1";
		$cnt_tot_prod=0;
		$total_while=0;
		while ($cant<=$cnt)
			{
			if ($total[$cant]>0)
				{
				$cnt_tot_prod+=1;
				$detalle[$cant]=quitarEspecialesXML($detalle[$cant]);
					$detalle_1[$cant]=quitarEspecialesXML($detalle_1[$cant]);	
		$psql = "INSERT INTO movimiento (empresa, rut, entrada_salida_traspaso, fecha, cod_producto, cantidad, precio_unitario,numero_dcto, tipo_dcto, descuentos, bodega, id_soe, sub_total, detalle, detalle_1, factor) 
					VALUES ($id_empresa, '$txtrut', 'S', '$fecha_em', $codigo[$cant], $cantidad[$cant], $precio[$cant], $sql_num_bol, $id_tipo_dcto, $desc[$cant], $id_bodega, $sultimo_id, $total[$cant], '$detalle[$cant]' , '$detalle_1[$cant]' , $factor)";
				$sql_productos = mysql_query($psql,$enlace);
				//echo $psql;	                           
					
				$sql_sal = "UPDATE productos SET saldo=(saldo-$cantidad[$cant]*$factor), u_salida=(u_salida+$cantidad[$cant]*$factor) WHERE empresa=$id_empresa AND codigo = $codigo[$cant]";
				mysql_query($sql_sal,$enlace);
			//echo $sql_sal;
	           }
			$cant=$cant+1;
	      }
	
		?>
<script>
	
	window.opener.document.form1.Guardar.disabled = true;
	
</script>

	<?PHP
	if ($id_tipo_dcto == 33 || $id_tipo_dcto == 34 || $id_tipo_dcto == 52 || $id_tipo_dcto == 56 || $id_tipo_dcto == 61) {echo (">>>>>ESPERANDO  SII >>>>>");} else {exit();}

// id=33 or id=56 or id=61    autorizados




		

//***************************************Selecciona comuna*****************************************************/
$sqlc = "SELECT * FROM comunas WHERE cod_comuna = $lstcom";
$resc = mysql_query($sqlc,$enlace);
$row=0;
while (mysql_fetch_object ($resc))
	{
	$comuna = mysql_result($resc, $row, "comuna");
	$row+=1;
	}
//*********************************************************************************************************
                       // mcc    22.12.14

$fecha = $fecha[6]."".$fecha[7]."".$fecha[8]."".$fecha[9]."-".$fecha[3]."".$fecha[4]."-".$fecha[0]."".$fecha[1];
$fecha2 = $fecha2[6]."".$fecha2[7]."".$fecha2[8]."".$fecha2[9]."-".$fecha2[3]."".$fecha2[4]."-".$fecha2[0]."".$fecha2[1];
$tipopago=2;   // credito  1=contado
$tipodcto= $id_tipo_dcto;
$txtndcto=$sql_num_bol;


$rut = str_replace('.', '', $txtrut);
$txtiva5=0;    // i 5% retencion 
//****  genera XML *******
$xml=new DomDocument("1.0", "UTF-8");


 $raiz=$xml->createElement("DTE");
 $raiz=$xml->appendChild($raiz); 
        $raiz->setAttribute("version", "1.0"); 
 
   $Documento=$xml->createElement("Documento");
    $Documento=$raiz->appendChild($Documento); 
        $Documento->setAttribute("ID", "DTE-".$tipodcto."-".$txtndcto); 

    $Encabezado=$xml->createElement("Encabezado");
    $Encabezado=$Documento->appendChild($Encabezado); 

 /*--IdDoc-------------------------*/ 
 $IdDoc=$xml->createElement("IdDoc");
 $IdDoc=$Encabezado->appendChild($IdDoc); 
 
 $TipoDTE=$xml->createElement("TipoDTE", $tipodcto);     //$lstdcto =33
 $TipoDTE=$IdDoc->appendChild($TipoDTE); 
 $Folio=$xml->createElement("Folio",$txtndcto);
 $Folio=$IdDoc->appendChild($Folio);
 $FchEmis=$xml->createElement("FchEmis", $fecha);
 $FchEmis=$IdDoc->appendChild($FchEmis); 
 /********  Guias despacho ***********/
 

 if ($cod_despacho>0) 
    {
 $TipoDespacho=$xml->createElement("TipoDespacho", $cod_despacho);
 $TipoDespacho=$IdDoc->appendChild($TipoDespacho); 
    }
if ($cod_traslado>0) 
    {
 $IndTraslado=$xml->createElement("IndTraslado", $cod_traslado);
 $IndTraslado=$IdDoc->appendChild($IndTraslado); 
    }

 $FmaPago=$xml->createElement("FmaPago", $tipopago);
 $FmaPago=$IdDoc->appendChild($FmaPago); 
 $FchVenc=$xml->createElement("FchVenc", $fecha2);
 $FchVenc=$IdDoc->appendChild($FchVenc); 
 
  /*--Emisor----------------------*/ 
  $Emisor=$xml->createElement("Emisor");
  $Emisor=$Encabezado->appendChild($Emisor);
   
  $RUTEmisor=$xml->createElement("RUTEmisor", $empresa_rut);
  $RUTEmisor=$Emisor->appendChild($RUTEmisor);
        $empresa_nombre = quitarEspecialesXML($empresa_nombre); 
  $RznSoc=$xml->createElement("RznSoc", $empresa_nombre);
  $RznSoc=$Emisor->appendChild($RznSoc); 
         $empresa_actividad = quitarEspecialesXML($empresa_actividad);  
  $GiroEmis=$xml->createElement("GiroEmis", $empresa_actividad);
  $GiroEmis=$Emisor->appendChild($GiroEmis); 
  $Acteco=$xml->createElement("Acteco", $empresa_acteco);
  $Acteco=$Emisor->appendChild($Acteco); 
          $empresa_direccion= quitarEspecialesXML($empresa_direccion); 
  $DirOrigen=$xml->createElement("DirOrigen", $empresa_direccion);
  $DirOrigen=$Emisor->appendChild($DirOrigen);
  	       $empresa_comuna = quitarEspecialesXML($empresa_comuna); 
  $CmnaOrigen=$xml->createElement("CmnaOrigen", $empresa_comuna);
  $CmnaOrigen=$Emisor->appendChild($CmnaOrigen);  
           $empresa_ciudad = quitarEspecialesXML($empresa_ciudad); 
  $CiudadOrigen=$xml->createElement("CiudadOrigen", $empresa_ciudad);
  $CiudadOrigen=$Emisor->appendChild($CiudadOrigen); 
 
/*--Receptor----------------------*/ 
  $Receptor=$xml->createElement("Receptor");
  $Receptor=$Encabezado->appendChild($Receptor); 
  $RUTRecep=$xml->createElement("RUTRecep", $rut);
  $RUTRecep=$Receptor->appendChild($RUTRecep); 
         $txtrsoc = quitarEspecialesXML($txtrsoc); 
  $RznSocRecep=$xml->createElement("RznSocRecep", $txtrsoc);
  $RznSocRecep=$Receptor->appendChild($RznSocRecep); 
           $txtactividad = quitarEspecialesXML($txtactividad); 
  $GiroRecep=$xml->createElement("GiroRecep", substr($txtactividad,0,39));
  $GiroRecep=$Receptor->appendChild($GiroRecep); 
           $txtdireccion = quitarEspecialesXML($txtdireccion);
  $DirRecep=$xml->createElement("DirRecep", substr($txtdireccion,0,59));
  $DirRecep=$Receptor->appendChild($DirRecep); 
            $comuna = quitarEspecialesXML($comuna);
  $CmnaRecep=$xml->createElement("CmnaRecep", substr($comuna,0,19));
  $CmnaRecep=$Receptor->appendChild($CmnaRecep);
             $txtciudad = quitarEspecialesXML($txtciudad);  
  $CiudadRecep=$xml->createElement("CiudadRecep", substr($txtciudad,0,19));
  $CiudadRecep=$Receptor->appendChild($CiudadRecep);   
//****************** Transporte ****************************************************/
$patente="";
$rut_transporte="";
$sqlc = "SELECT * FROM transportes WHERE id = '$lstpatente'";
$resc = mysql_query($sqlc,$enlace);
while (mysql_fetch_object ($resc))
	{
	$patente = mysql_result($resc, 0, "patente");
	$rut_transporte = mysql_result($resc, 0, "rut");
	}
if ($patente!='')
 {
 $Transporte=$xml->createElement("Transporte");
   $Transporte= $Encabezado->appendChild($Transporte); 
       $Patente=$xml->createElement("Patente", $patente);
       $Patente=$Transporte->appendChild($Patente);
	  $rut_transporte = str_replace('.', '', $rut_transporte);
	     $RUTTrans=$xml->createElement("RUTTrans", $rut_transporte);
         $RUTTrans=$Transporte->appendChild($RUTTrans);
  }
/*--Totales--------------------------*/ 
   $Totales=$xml->createElement("Totales");
   $Totales= $Encabezado->appendChild($Totales); 
   $MntNeto=$xml->createElement("MntNeto", $txtneto);
   $MntNeto=$Totales->appendChild($MntNeto);
   
   if ($txtexento>0) 
    {
   $MntExe=$xml->createElement("MntExe", $txtexento);
   $MntExe=$Totales->appendChild($MntExe);
    }
	$tasa_iva=19;
	
	if ($tipodcto!=34) 	
	{	
	$TasaIVA=$xml->createElement("TasaIVA", $tasa_iva);
	$TasaIVA=$Totales->appendChild($TasaIVA); 
	}
   
	 $IVA=$xml->createElement("IVA", $txtiva);
	 $IVA=$Totales->appendChild($IVA); 

	if ($txtiva5>0) 
    {
	$ImptoReten=$xml->createElement("ImptoReten");
    $ImptoReten= $Totales->appendChild($ImptoReten); 
	
	$TipoImp=$xml->createElement("TipoImp", "18");
	 $TipoImp=$ImptoReten->appendChild($TipoImp); 
	
	$TasaImp=$xml->createElement("TasaImp", "5"); 
	 $TasaImp=$ImptoReten->appendChild($TasaImp); 
	 
	 $MontoImp=$xml->createElement("MontoImp", $txtiva5);
	 $MontoImp=$ImptoReten->appendChild($MontoImp); 
	 }

	$MntTotal=$xml->createElement("MntTotal", $txttotal);
	$MntTotal=$Totales->appendChild($MntTotal);

/*--Detalles--------------------------*/ 
$cntcal=1;
$linea=0;
while ($cntcal<=$cnt)
	{
	if ($codigo[$cntcal]>0)
	{ $linea+=1;
	 $Detalle=$xml->createElement("Detalle");
     $Detalle= $Documento->appendChild($Detalle); 	
      
	   $NroLinDet=$xml->createElement("NroLinDet", $linea);
	   $NroLinDet=$Detalle->appendChild($NroLinDet);
	 
	 $CdgItem=$xml->createElement("CdgItem");
	   $CdgItem=$Detalle->appendChild($CdgItem);
	       $TpoCodigo=$xml->createElement("TpoCodigo","");
	        $TpoCodigo=$CdgItem->appendChild($TpoCodigo);
	   
	    $VlrCodigo=$xml->createElement("VlrCodigo", $codigo[$cntcal]);
	    $VlrCodigo=$CdgItem->appendChild($VlrCodigo);
	  
     if ($afecto[$cntcal]=='0')
	 {
     $IndExe=$xml->createElement("IndExe", "1");
	 $IndExe=$Detalle->appendChild($IndExe);	
	 }
	     
		  
     $NmbItem=$xml->createElement("NmbItem", $detalle[$cntcal] );   
	 $NmbItem=$Detalle->appendChild($NmbItem);	
	//******** detalle extendido  para NC
      
	$DscItem=$xml->createElement("DscItem", $detalle_1[$cntcal] );   
	$DscItem=$Detalle->appendChild($DscItem);	
	
	if ($cantidad[$cntcal]!=0)
	 {
	 $QtyItem=$xml->createElement("QtyItem", $cantidad[$cntcal]);
	 $QtyItem=$Detalle->appendChild($QtyItem);	
	 }
	
	if ($unidad[$cntcal]!='')
	 {
	//******* unidad de medida  ***** UnmdItem 
	 $UnmdItem=$xml->createElement("UnmdItem", $unidad[$cntcal] );   
	 $UnmdItem=$Detalle->appendChild($UnmdItem);	
      }
	  
	 if ($precio[$cntcal]!=0)
	 {
	 $PrcItem=$xml->createElement("PrcItem", $precio[$cntcal]);
	 $PrcItem=$Detalle->appendChild($PrcItem);	
	 }
	 
	 $des = $desc[$cntcal];
 if ($des>0)
	 {
	 $DescuentoPct=$xml->createElement("DescuentoPct", $des );
	 $DescuentoPct=$Detalle->appendChild($DescuentoPct);	 
	 }
  $sub_1=$cantidad[$cntcal] * $precio[$cntcal];
			  if ($sub_1-intval($sub_1)>=.5) $sub_1=intval($sub_1)+1; else $sub_1=intval($sub_1);
	 $monto_des = $sub_1 - $total[$cntcal];
	
 
 if ($monto_des>0)
	 {
	 $DescuentoMonto=$xml->createElement("DescuentoMonto", $monto_des );
	 $DescuentoMonto=$Detalle->appendChild($DescuentoMonto);	
	 }
	 $MontoItem=$xml->createElement("MontoItem", $total[$cntcal]);
	 $MontoItem=$Detalle->appendChild($MontoItem);	
    }
	$cntcal+=1;
	}

// ***** descuento global *****
      if ($txtdes>0)
	 {
	 $DscRcgGlobal=$xml->createElement("DscRcgGlobal");
     $DscRcgGlobal= $Documento->appendChild($DscRcgGlobal); 	
      
	   $NroLinDR=$xml->createElement("NroLinDR", "1");
	   $NroLinDR=$DscRcgGlobal->appendChild($NroLinDR);
    
       $TpoMov=$xml->createElement("TpoMov", "D");
	   $TpoMov=$DscRcgGlobal->appendChild($TpoMov);
	     
		 if ($txtpor>0) 
		 {$signo="%";
		  $signo_valor=$txtpor;
		  }
		  else 
		  {$signo="$";
		  $signo_valor=$txtdes;
		  }
		 
	   $TpoValor=$xml->createElement("TpoValor", $signo);
	   $TpoValor=$DscRcgGlobal->appendChild($TpoValor);
	   
	   $ValorDR=$xml->createElement("ValorDR", $signo_valor);
	   $ValorDR=$DscRcgGlobal->appendChild($ValorDR);
	   }
      
  if ($tiporef!='')
  {
  $Referencia=$xml->createElement("Referencia");
  $Referencia= $Documento->appendChild($Referencia); 	
      
	   $NroLinRef=$xml->createElement("NroLinRef", "1");
       $NroLinRef=$Referencia->appendChild($NroLinRef);
       $TpoDocRef=$xml->createElement("TpoDocRef", $tiporef);
	   $TpoDocRef=$Referencia->appendChild($TpoDocRef);	   
       $FolioRef=$xml->createElement("FolioRef", $folioref);          //$folioRef
	   $FolioRef=$Referencia->appendChild($FolioRef);
	   $fecharef = $fecharef[6]."".$fecharef[7]."".$fecharef[8]."".$fecharef[9]."-".$fecharef[3]."".$fecharef[4]."-".$fecharef[0]."".$fecharef[1];	              
	  $FchRef=$xml->createElement("FchRef", $fecharef);                   //$fecharef
	   $FchRef=$Referencia->appendChild($FchRef); 
	 if ($codref!='' && $codref!='0')
	 {        
	  $CodRef=$xml->createElement("CodRef", $codref);
	  $CodRef=$Referencia->appendChild($CodRef);	   
	  }
	   $RazonRef=$xml->createElement("RazonRef", $razonref);
	  $RazonRef=$Referencia->appendChild($RazonRef);
   }
      if ($tiporef2!='')
  { 
	  $Referencia=$xml->createElement("Referencia");
      $Referencia= $Documento->appendChild($Referencia); 
       $NroLinRef=$xml->createElement("NroLinRef", "2");
       $NroLinRef=$Referencia->appendChild($NroLinRef);
       $TpoDocRef=$xml->createElement("TpoDocRef", $tiporef2);
	   $TpoDocRef=$Referencia->appendChild($TpoDocRef);	   
       $FolioRef=$xml->createElement("FolioRef", $folioref2);          
	   $FolioRef=$Referencia->appendChild($FolioRef);	
	   
	    $fecharef2 = $fecharef2[6]."".$fecharef2[7]."".$fecharef2[8]."".$fecharef2[9]."-".$fecharef2[3]."".$fecharef2[4]."-".$fecharef2[0]."".$fecharef2[1];
	   
	                 
	  $FchRef=$xml->createElement("FchRef", $fecharef2);                  
	   $FchRef=$Referencia->appendChild($FchRef);       
	  $CodRef=$xml->createElement("CodRef", $codref2);
	  $CodRef=$Referencia->appendChild($CodRef);	   
	   $RazonRef=$xml->createElement("RazonRef", $razonref2);
	  $RazonRef=$Referencia->appendChild($RazonRef);
    }
	
//********CREACION DEL TED EN EL XML ORIGINAL - CHRISTIAN DIAZ 24-01-2017 - ****

	$zona = new DateTimeZone('America/Santiago'); 
	$fch = new DateTime('', $zona);
	$fechahoy = $fch->format('Y-m-d\TH:i:s'); 

	$TED=$xml->createElement("TED");
	$TED=$Documento->appendChild($TED);
	$TED->setAttribute("version", "1.0"); 

	$DD=$xml->createElement("DD");
	$DD=$TED->appendChild($DD);
	
	$RE=$xml->createElement("RE", $empresa_rut);
	$RE=$DD->appendChild($RE);

	$TD=$xml->createElement("TD", $tipodcto);
	$TD=$DD->appendChild($TD);
	
	$F=$xml->createElement("F", $txtndcto);
	$F=$DD->appendChild($F);

	$FE=$xml->createElement("FE", $fecha);
	$FE=$DD->appendChild($FE);
	
	$RR=$xml->createElement("RR", $rut);
	$RR=$DD->appendChild($RR);
	
	$RSR=$xml->createElement("RSR", substr($txtrsoc,0,37));
	$RSR=$DD->appendChild($RSR);
	
	$MNT=$xml->createElement("MNT", $txttotal);
	$MNT=$DD->appendChild($MNT);
	
	$IT1=$xml->createElement("IT1", substr($detalle[1],0,37));
	$IT1=$DD->appendChild($IT1);
	
	$TSTED=$xml->createElement("TSTED", $fechahoy);
	$TSTED=$DD->appendChild($TSTED);
	
	$TmstFirma=$xml->createElement("TmstFirma", $fechahoy );
	$TmstFirma=$Documento->appendChild($TmstFirma);
	
// adjuntos

 //  $Adjuntos=$xml->createElement("Adjuntos");
  // $Adjuntos= $Documento->appendChild($Adjuntos); 	
    //   $Observacion=$xml->createElement("Observacion", $totalkilos);CASO  316414-1
	 //  $Observacion=$Adjuntos->appendChild($Observacion);
     //  $Observacion=$xml->createElement("Observacion", $obs1);
	  // $Observacion=$Adjuntos->appendChild($Observacion);
	   
/*guardar xml--------------------------------*/ 
$archivo_x="DOC_".$tipodcto."_".$txtndcto.".xml";
$archivo="../LibFE/DOC/ORIGINAL/".$archivo_x;
$archivo_f="DOC_".$tipodcto."_".$txtndcto."_f.pdf";
 $xml->formatOut=true;
 $strings_xml=$xml->saveXML(); 

if($xml->save($archivo))
  {
  if ($certificacion!='SI') subirArchivo($archivo_x, $ip_empresa, $id_empresa, $sitio_empresa);	
  
	echo "Termino de crear el Original:".$archivo." Firmado:".$archivo_f." ";
  }
   else 
  {
	echo "No pudimos guardar el ".$archivo;
  }

//******************** Rescata trak ID  ************************
 $token='sin token';
    $sql_token = "SELECT token FROM salida WHERE tipo_dcto=$tipodcto AND num_dcto=$txtndcto";
	$res_token =  mysql_query($sql_token, $enlace);	
	if(mysql_fetch_object($res_token))	$token = mysql_result($res_token, 0, "token"); 
 
 
 ?>
 <script>	
	window.opener.document.form1.firmado.value ='<?=$archivo_f;?>';
	window.opener.document.form1.token.value ='<?=$token;?>';
	window.opener.document.form1.Imprimir_PDF.disabled=false;

	window.top.open('','_parent','');window.top.close();		
	

</script>
<?
		}
		else
		{
		?>
<script>
	
	alert("Documento de Venta EXISTE ");
	window.top.open('','_parent','');window.top.close();
</script>
       <?
		}
	   ?>